Package be.ehealth.technicalconnector.bcp

# Class EndpointDistributor

java.lang.Object
be.ehealth.technicalconnector.bcp.EndpointDistributor

public final class EndpointDistributor extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_POLLING_ACTIVATED`
  `static final String`
  `PROP_POLLING_INTERVAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateNextEndPoint(String currentEndpoint)`
  `void`
  `activatePolling()`
  `String`
  `getActiveEndpoint(String currentEndpoint)`
  `int`
  `getAmountOfAlternatives(String currentEndpoint)`
  `CacheInformation`
  `getCacheInformation(String currentEndpoint)`
  `static EndpointDistributor`
  `getInstance()`
  `String`
  `getService(String currentEndpoint)`
  `boolean`
  `mustCache(String currentEndpoint)`
  `boolean`
  `mustPoll()`
  `void`
  `reset()`
  `static boolean`
  `update()`
  `void`
  `update(EndPointInformation info)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_POLLING_INTERVAL

    public static final String PROP_POLLING_INTERVAL
    See Also:
      - Constant Field Values

  - ### PROP_POLLING_ACTIVATED

    public static final String PROP_POLLING_ACTIVATED
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static EndpointDistributor getInstance()

  - ### getService

    public String getService(String currentEndpoint)

  - ### getActiveEndpoint

    public String getActiveEndpoint(String currentEndpoint)

  - ### mustCache

    public boolean mustCache(String currentEndpoint)

  - ### getCacheInformation

    public CacheInformation getCacheInformation(String currentEndpoint)

  - ### activatePolling

    public void activatePolling()

  - ### mustPoll

    public boolean mustPoll()

  - ### activateNextEndPoint

    public void activateNextEndPoint(String currentEndpoint) throws NoNextEndpointException
    Throws:
      `NoNextEndpointException`

  - ### getAmountOfAlternatives

    public int getAmountOfAlternatives(String currentEndpoint)

  - ### update

    public void update(EndPointInformation info)

  - ### reset

    public void reset()

  - ### update

    public static boolean update()